package com.ventiun.scoringpricingmodel.model;

import java.math.BigDecimal;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class FactoringScoringPricingDataObject implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label("invoiceCurrency")
	private java.lang.String invoiceCurrency;
	@org.kie.api.definition.type.Label("advancedPercentageValue")
	private java.lang.Double advancedPercentageValue;
	@org.kie.api.definition.type.Label("campaignId")
	private java.lang.String campaignId;
	@org.kie.api.definition.type.Label("city")
	private java.lang.String city;
	@org.kie.api.definition.type.Label("collectionFees")
	private java.lang.Double collectionFees;
	@org.kie.api.definition.type.Label("country")
	private java.lang.String country;
	@org.kie.api.definition.type.Label("creditScore")
	private java.lang.Double creditScore;
	@org.kie.api.definition.type.Label("depositRateValue")
	private java.lang.Double depositRateValue;
	@org.kie.api.definition.type.Label("igvPercentageValue")
	private java.lang.Double igvPercentageValue;
	@org.kie.api.definition.type.Label("invoiceTotalAmount")
	private java.lang.Double invoiceTotalAmount;
	@org.kie.api.definition.type.Label("tieaPercentageValue")
	private Double tieaPercentageValue;
	@org.kie.api.definition.type.Label("tiedPercentageValue")
	private String tiedPercentageValue;

	public FactoringScoringPricingDataObject() {
	}

	public java.lang.String getInvoiceCurrency() {
		return this.invoiceCurrency;
	}

	public void setInvoiceCurrency(java.lang.String invoiceCurrency) {
		this.invoiceCurrency = invoiceCurrency;
	}

	public java.lang.Double getAdvancedPercentageValue() {
		return this.advancedPercentageValue;
	}

	public void setAdvancedPercentageValue(
			java.lang.Double advancedPercentageValue) {
		this.advancedPercentageValue = advancedPercentageValue;
	}

	public java.lang.String getCampaignId() {
		return this.campaignId;
	}

	public void setCampaignId(java.lang.String campaignId) {
		this.campaignId = campaignId;
	}

	public java.lang.String getCity() {
		return this.city;
	}

	public void setCity(java.lang.String city) {
		this.city = city;
	}

	public java.lang.Double getCollectionFees() {
		return this.collectionFees;
	}

	public void setCollectionFees(java.lang.Double collectionFees) {
		this.collectionFees = collectionFees;
	}

	public java.lang.String getCountry() {
		return this.country;
	}

	public void setCountry(java.lang.String country) {
		this.country = country;
	}

	public java.lang.Double getCreditScore() {
		return this.creditScore;
	}

	public void setCreditScore(java.lang.Double creditScore) {
		this.creditScore = creditScore;
	}

	public java.lang.Double getDepositRateValue() {
		return this.depositRateValue;
	}

	public void setDepositRateValue(java.lang.Double depositRateValue) {
		this.depositRateValue = depositRateValue;
	}

	public java.lang.Double getIgvPercentageValue() {
		return this.igvPercentageValue;
	}

	public void setIgvPercentageValue(java.lang.Double igvPercentageValue) {
		this.igvPercentageValue = igvPercentageValue;
	}

	public java.lang.Double getInvoiceTotalAmount() {
		return this.invoiceTotalAmount;
	}

	public void setInvoiceTotalAmount(java.lang.Double invoiceTotalAmount) {
		this.invoiceTotalAmount = invoiceTotalAmount;
	}

	public java.lang.String getTiedPercentageValue() {
		return this.tiedPercentageValue;
	}

	public void setTiedPercentageValue(java.lang.String tiedPercentageValue) {
		this.tiedPercentageValue = tiedPercentageValue;
	}

	public java.lang.Double getTieaPercentageValue() {
		return this.tieaPercentageValue;
	}

	public void setTieaPercentageValue(java.lang.Double tieaPercentageValue) {
		this.tieaPercentageValue = tieaPercentageValue;
	}

	public FactoringScoringPricingDataObject(java.lang.String invoiceCurrency,
			java.lang.Double advancedPercentageValue,
			java.lang.String campaignId, java.lang.String city,
			java.lang.Double collectionFees, java.lang.String country,
			java.lang.Double creditScore, java.lang.Double depositRateValue,
			java.lang.Double igvPercentageValue,
			java.lang.Double invoiceTotalAmount,
			java.lang.Double tieaPercentageValue,
			java.lang.String tiedPercentageValue) {
		this.invoiceCurrency = invoiceCurrency;
		this.advancedPercentageValue = advancedPercentageValue;
		this.campaignId = campaignId;
		this.city = city;
		this.collectionFees = collectionFees;
		this.country = country;
		this.creditScore = creditScore;
		this.depositRateValue = depositRateValue;
		this.igvPercentageValue = igvPercentageValue;
		this.invoiceTotalAmount = invoiceTotalAmount;
		this.tieaPercentageValue = tieaPercentageValue;
		this.tiedPercentageValue = tiedPercentageValue;
	}

}